#
# spec file for package obs-service-renderspec
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service renderspec

Name:           obs-service-%{service}
Version:        0.1.0+git.1522920468.3e5d884
Release:        1.11
Summary:        An OBS source service: update .spec files from renderspec templates
License:        Apache-2.0
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         %{name}-%{version}.tar.gz
Requires:       obs-service-download_files
Requires:       python-renderspec
Requires:       python-requests
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It supports rendering .spec.j2 templates via renderspec.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 renderspec %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 renderspec.service %{buildroot}%{_prefix}/lib/obs/service

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Thu Apr  5 2018 opensuse-packaging@opensuse.org
- Update to version 0.1.0+git.1522920468.3e5d884:
  * Fix version detection when input-template url has params
* Mon Sep 25 2017 opensuse-packaging@opensuse.org
- Update to version 0.1.0+git.1506321784.591e3aa:
  * Get new tarball after a renderspec run
- add new Requires for obs-service-download_files
* Wed Sep 20 2017 opensuse-packaging@opensuse.org
- Update to version 0.1.0+git.1505890850.89c7fc2:
  * Add support for changes generation from pbr.json git shas
* Thu Apr 13 2017 tbechtold@suse.com
- Update to version 0.1.0+git.1492079087.f8273a2:
  * Add 'none' changelog provider
* Sat Mar 18 2017 tbechtold@suse.com
- Update to version 0.1.0+git.1489822607.f3c359d:
  * Add new tarball to OBS
  * README.md: Add links to OBS package and git repo
* Tue Feb 14 2017 tbechtold@suse.com
- Update to version 0.1.0+git.1487071542.0c7eafc:
  * Fix UnicodeDecodeError error
  * Remove old tarballs from OBS
* Mon Oct 17 2016 tbechtold@suse.com
- Update to version 0.1.0+git.1476705104.0c00e59:
  * Add github changelog generation
* Wed May 25 2016 tbechtold@suse.com
- Initial packaging (version 0.1.0)
